As duas vers~es mais usadas do apache 1.3 e 2.0 são estáveis no freebsd.
A escolha depende da sua familiaridade com cada versão e de suas necessidades, assim como no Linux.

Falou!